/* ==========================================================================
	Grid Overlay
============================================================================= */
.fw-grid-overlay {
  min-inline-size: var(--layout-min-width);
  position: fixed;
  inset: 0;
  z-index: 9999;
  display: none;
  pointer-events: none;
}
.fw-grid-overlay .fw-container {
  block-size: 100%;
  background-color: oklch(62.5% 0.277 29.233deg / 0.1);
}
.fw-grid-overlay .fw-grid {
  block-size: 100%;
}

.fw-grid-overlay--active {
  display: block;
}

.fw-grid-overlay__column {
  background-color: oklch(62.5% 0.277 29.233deg / 0.1);
}

.fw-grid-overlay-toggle-wrap {
  position: fixed;
  inset-block-end: 0;
  inset-inline-end: 0;
  z-index: 9999;
}

.fw-grid-overlay-toggle {
  display: flex;
  column-gap: 0.375rem;
  color: oklch(100% 0 0deg);
  font-family: system-ui, sans-serif;
  font-size: 0.875rem;
  text-transform: uppercase;
  background-color: oklch(0% 0 0deg);
  border-start-start-radius: 0.3125rem;
  padding-block: 0.3125rem;
  padding-inline: 0.625rem;
}
.fw-grid-overlay-toggle::after {
  content: " - XS";
}
@media (min-width: 20rem) {
  .fw-grid-overlay-toggle::after {
    content: " - xs";
  }
}
@media (min-width: 31.25rem) {
  .fw-grid-overlay-toggle::after {
    content: " - sm";
  }
}
@media (min-width: 46.25rem) {
  .fw-grid-overlay-toggle::after {
    content: " - md";
  }
}
@media (min-width: 61.25rem) {
  .fw-grid-overlay-toggle::after {
    content: " - lg";
  }
}
@media (min-width: 76.25rem) {
  .fw-grid-overlay-toggle::after {
    content: " - xl";
  }
}
@media (min-width: 87.125rem) {
  .fw-grid-overlay-toggle::after {
    content: " - xxl";
  }
}

:has(.fw-grid-overlay--active) .fw-grid-overlay-toggle__label {
  display: none;
}

.fw-grid-overlay-toggle__label--active {
  display: none;
}
:has(.fw-grid-overlay--active) .fw-grid-overlay-toggle__label--active {
  display: block;
}